export async function createInvoice(cardID, 
/** Целое число в копейках, например 1 рубль — это sum=100 */
sum) {
    if (!Number.isInteger(sum))
        throw new Error('Couldn\'t create invoice for SOTK where sum parameter is not integer');
    const { balance } = await this.getAccountInfo();
    const checkResponse = await this.runJSONOperation({
        pid: balance.pid,
        [balance.token]: '1',
        operation: '4',
        card: cardID
    });
    const check = checkResponse.data[0];
    if (!check.rscode)
        throw {
            message: 'Couldn\'t create a check: ' + check.rsdata,
            check
        };
    const SID = check.sessionid;
    const invoiceResponse = await this.runJSONOperation({
        pid: balance.pid,
        [balance.token]: '1',
        operation: '5',
        card: cardID,
        tariffid: '10',
        paymentsum: String(sum),
        sessionid: SID
    });
    const invoice = invoiceResponse.data;
    if (invoice.errorCode !== 0)
        throw new Error('Couldn\'t create an invoice: ' + invoice.errorMessage);
    return invoice;
}
